:root {
    --bg: #141414;
    --panel-bg: #ece58d;
    --soviet-red: #7a0000;
    --text-dark: #1a1a1a;
    --text-light: #f8ea28;
    --border-color: #1a1a1a;
    --font-main: 'Trebuchet MS', 'Arial Black', sans-serif;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-color: var(--bg);
    color: var(--text-dark);
    font-family: var(--font-main);
    padding: 20px;
    display: flex;
    justify-content: center;
}

.container {
    width: 100%;
    border: 4px solid var(--soviet-red);
    padding: 20px;
    box-shadow: 0 0 20px rgba(187, 19, 19, 0.4);
}

header {
    background-color: var(--soviet-red);
    color: var(--text-light);
    text-align: center;
    padding: 15px;
    text-transform: uppercase;
    letter-spacing: 2px;
    border: 2px solid var(--border-color);
    margin-bottom: 20px;
    position: relative;
}

header h1 {
    font-size: 2.5em;
    margin-bottom: 5px;
    text-shadow: 2px 2px rgb(0, 0, 0);
}

header p {
    background-color: var(--soviet-red);
    display: inline-block;
    padding: 4px 15px;
    font-size: 1.2em;
    text-shadow: 1px 1px rgb(0, 0, 0);
    font-weight: bold;
}

.about {
    background-color: var(--panel-bg);
    border: 3px solid var(--border-color);
    display: flex;
    gap: 20px;
    padding: 15px;
    margin-bottom: 20px;
    align-items: center;
}

.logo {
    width: 150px;
    height: 150px;
    background-color: var(--soviet-red);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.logo>img {
    width: 125px;
    height: 125px;
}

.about h2 {
    background: var(--soviet-red);
    color: var(--text-light);
    display: inline-block;
    padding: 2px 10px;
    text-transform: uppercase;
    margin-bottom: 8px;
    font-size: 1.4em;
}

.about p {
    font-size: 0.9em;
    line-height: 1.4;
    color: var(--text-dark);
}

.main-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
    gap: 15px;
    margin-bottom: 20px;
}

.panel {
    background-color: var(--panel-bg);
    border: 3px solid var(--border-color);
    padding: 12px;
    display: flex;
    flex-direction: column;
}

.panel-title {
    background-color: var(--border-color);
    color: var(--text-light);
    text-align: center;
    text-transform: uppercase;
    padding: 6px;
    font-size: 1rem;
    font-weight: bold;
    letter-spacing: 1px;
    margin-bottom: 12px;
}

.sub-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.card {
    background-color: var(--soviet-red);
    color: var(--text-light);
    padding: 10px;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card img {
    width: auto;
    height: 100px;
    
}
.item-list{
    list-style:none;
    display:flex;
    flex-direction:column;
    gap: 8px;
}
.list-item{
    background-color: var(--soviet-red);
    color: var(--text-light);
    padding: 8px;
    text-align: center;
    border: 5px solid var(--border-color);
}
.list-item a{
    color: var(--text-light);
    text-decoration: none;
}
.list-item a:hover{
    text-decoration: underline;
}
.list-item:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}
.list-item p{
    font-size: 0.9em;
    margin-top: 4px;
}
.contact{
    display:flex;
    flex-direction:column;
    width:100%;
    justify-content:center;
    align-items:center;
    gap:10px;
    background: var(--soviet-red);
    padding: 20px;
    margin-bottom: 20px;
}
.social-logo{
    width: 50px;
    height: 50px;
}
.contact h3{
    color: var(--text-light);
    font-size: 1.4em;
    font-weight: bold;
    text-transform: uppercase;
    text-decoration: underline;
    text-shadow: 2px 2px rgb(0, 0, 0);
}
.social{
    display:flex;
    flex-wrap:wrap;
    gap:10px;
}
.social-card{
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    width: 80px;
    gap: 4px;
    color: var(--soviet-red);
    text-decoration: none;
    background-color: var(--panel-bg);
    padding: 10px;
    border-radius: 8px;
}

.social-card:hover{
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}
.social-title{
    color: var(--soviet-red);
    font-size: 0.7em;
    font-weight: bold;
    text-transform: uppercase;
}
footer{
    background: var(--border-color);
    color: var(--text-light);
    border: 2px solid var(--soviet-red);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    text-transform:uppercase;
}